Property groups
Describes the property group resource in CMS (SaaS) and how to work with them.
Property groups are used to organize content properties within the editing UI. When creating content types, you reference these property groups to ensure a structured and efficient editing experience. You should establish property groups before creating content types, letting you reference them during the content type creation.
The property group resource contains the following fields:
key– A string identifying the property group in the API.displayName– A user-friendly name for the group displayed to end users.sortOrder– A relative index used in some listings to define the order of property groups.source– A key indicating where this group came from. It is empty when created from the UI and set to _system when defined by CMS (SaaS).
GET https://api.cms.optimizely.com/v1/propertygroups/exampleGroup{
"key": "exampleGroup",
"displayName": "Example Group",
"sortOrder": 42
}Create a property group
Create a property group through the Property Group API. A property group must have a unique key.
POST https://api.cms.optimizely.com/v1/propertygroups
Content-Type: application/json
{
"key": "exampleGroup",
"displayName": "Example Group"
}See Create property group API reference.
Update a property group
Update an existing property group through the Property Group API. Groups created by Optimizely Content Management System (SaaS) with source set to system are read-only and cannot be updated.
PATCH https://api.cms.optimizely.com/v1/propertygroups/exampleGroup
Content-Type: application/merge-patch+json
{
"displayName": "Updated Example Group",
"sortOrder": 150
}You can modify individual property group field values. The response returns the updated property group.
PATCH https://api.cms.optimizely.com/v1/propertygroups/exampleGroup
Content-Type: application/merge-patch+json
{
"sortOrder": 150
}{
"key": "exampleGroup",
"displayName": "Updated Example Group",
"sortOrder": 150
}See Update property group API reference.
List property groups
Retrieve a list of property groups through the Property Group API.
GET https://api.cms.optimizely.com/v1/propertygroups{
"items": [
{
"key": "Content",
"displayName": "Content",
"sortOrder": 10,
"source": "_system"
},
{
"key": "Settings",
"displayName": "Settings",
"sortOrder": 30,
"source": "_system"
}
],
"pageIndex": 0,
"pageSize": 50,
"totalCount": 2
}Use the sources query parameter to filter property groups by source. Use DEFAULT to include groups without a specific source.
GET https://api.cms.optimizely.com/v1/propertygroups?sources=DEFAULT,customSee List property groups API reference.
Get a property group
Retrieve a specific property group through the Property Group API using its unique key.
GET https://api.cms.optimizely.com/v1/propertygroups/Content{
"key": "Content",
"displayName": "Content",
"sortOrder": 10,
"source": "_system"
}See Get property group API reference.
Delete a property group
Delete an existing property group through the Property Group API. System property groups (with source: "_system") cannot be deleted. The response returns the deleted property group.
DELETE https://api.cms.optimizely.com/v1/propertygroups/exampleGroup{
"key": "exampleGroup",
"displayName": "Updated Example Group",
"sortOrder": 150
}See Delete property group API reference
Updated about 1 month ago
